Search found 1870 matches

Go to advanced search

by freedman
Sat Apr 10, 2021 7:49 pm
Forum: Python scripting and macros
Topic: Hint: Move the macro toolbar (pic)
Replies: 0
Views: 17

Hint: Move the macro toolbar (pic)

If your using the FreeCAD editor to run macros then you probaly move top to bottom of the screen to select and run macros. You can drag the toolbar to the bottom and save many mouse miles. This takes some screen space but I think worth it. Maybe a developer could recover the screen space some way.
by freedman
Sat Apr 10, 2021 6:24 am
Forum: Open discussion
Topic: Align axis when Inserting a Part container in a Part container
Replies: 9
Views: 238

Re: Align axis when Inserting a Part container in a Part container

carlopav wrote maybe offtopic, but reminds something like Std_TreeSyncPlacement Not offtopic at all, Thank you, thank you. That's what I have been missing and that's also what has been driving me crazy on and off since that option was inserted. I thought all these option settings were about setting...
by freedman
Sat Apr 10, 2021 5:21 am
Forum: Python scripting and macros
Topic: Setting Parent Part to zero by offsetting SubParts
Replies: 1
Views: 70

Re: Setting Parent Part to zero by offsetting SubParts

I case anyone else is looking I found a snip of code: for obj in App.ActiveDocument.RootObjects: if str(obj) == "<Part object>": App.Console.PrintWarning("Part object " + str(obj.Name)+"\n") if FreeCADGui.Selection.getSelection()[0] == obj: for subobj in obj.OutList: App.Console.PrintWarning("found ...
by freedman
Fri Apr 09, 2021 10:59 pm
Forum: Python scripting and macros
Topic: Setting Parent Part to zero by offsetting SubParts
Replies: 1
Views: 70

Setting Parent Part to zero by offsetting SubParts

I'm working on a macro where objects are always put in a Part(A), and in (A) there can be multiple Parts B,C,D. My goal; The sub Part placements (relative to each other) need to stay where they are but I want to set the Parent position to 0,0,0. To do this I plan to add all the Parent position offse...
by freedman
Thu Apr 08, 2021 8:03 pm
Forum: Help on using FreeCAD
Topic: 0.20, are we ready for feedback?
Replies: 15
Views: 542

Re: 0.20, are we ready for feedback?

I'm opening many of my older models and everything looks Good. Using the weekly on Win10. I noticed the Part container icon has a new paint job. Is there a list of items to check? I will certainly start using this every day.

Looks good and seems all OK so far, thank you to all the developers.
by freedman
Thu Apr 08, 2021 4:07 pm
Forum: Open discussion
Topic: [Request] File zero / Master zero
Replies: 13
Views: 643

Re: [Request] File zero / Master zero

Is the expectation that when enabled the Properties would read in these master values? What type of objects would read like this, Body, Part, Group?
by freedman
Thu Apr 08, 2021 7:10 am
Forum: Open discussion
Topic: Align axis when Inserting a Part container in a Part container
Replies: 9
Views: 238

Re: [Request] File zero / Master zero

The focus of this post is to find a way to allow the user to insert a Part container into a Part container and make it possible to have their axis aligned. Currently the Parent Part when created will start at axis zero-zero but the inserted Part will keep it's position. This is OK sometimes but not ...
by freedman
Thu Apr 08, 2021 1:14 am
Forum: Open discussion
Topic: Align axis when Inserting a Part container in a Part container
Replies: 9
Views: 238

Re: [Request] File zero / Master zero

I wrote, obviously your correct, we should be able to package Parts in Parts so we can create order. We need a new option! How about If we drag a Part into a Part it would work as it does today but as an option if you drag a Part into a Part but instead hover the mouse over the Origin of the target ...
by freedman
Wed Apr 07, 2021 4:45 pm
Forum: Open discussion
Topic: Align axis when Inserting a Part container in a Part container
Replies: 9
Views: 238

Align axis when Inserting a Part container in a Part container

If you have two part containers A and B with included bodies, then create a new part container C, then drag (A and B) into C. What should happen? My first thought is A and B should be zeroed on the new C. I'm actually dealing with this issue right now in a macro. I'm asking myself if I should have a...
by freedman
Tue Apr 06, 2021 11:04 pm
Forum: Help on using FreeCAD
Topic: 0.20, are we ready for feedback?
Replies: 15
Views: 542

0.20, are we ready for feedback?

Just wondering if we are ready to start reporting the good news and possible issues? I haven't seen much chatter.
Are we using the Help section here?
Thanks

Go to advanced search